<ng-container *transloco="let t; scope: 'admin'; read: 'admin'">
    <div class="user-list">
        <div class="row mb-3">
          <div class="col-md-12">
            <div class="template-demo">
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb breadcrumb-custom">
                    <li class="breadcrumb-item"><a routerLink="/{{urlPrefix}}" routerLinkActive="router-link-active">Dashboard</a></li>
                    <li class="breadcrumb-item"><a routerLink="/{{urlPrefix}}/access-controls/roles" routerLinkActive="router-link-active">Role</a></li>
                    <li class="breadcrumb-item active" aria-current="page">
                        <span *ngIf="!roleId">Add Role</span>
                        <span *ngIf="roleId">Update Role</span>
                    </li>
                </ol>
                
              </nav>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 stretch-card">
            <mat-card class="card custom-card card-min">
              <div class="card-body p-0">
                <div class="row m-0">
                  <div class="col-md-12 card-title px-3 py-3 m-0">
                    <h4 class="float-start pt-2 px-2" *ngIf="!roleId">Add Role</h4>
                    <h4 class="float-start pt-2 px-2" *ngIf="roleId">Update Role</h4>
                  </div>
                </div>
  
                <div class="row m-0">
                  <div class="col-12">
                      <form action="" class="form-min position-relative" [formGroup]="addRoleForm" (ngSubmit)="onSubmit()">
                          <div class="row p-3 pb-0">
                              <ng-container formArrayName="names">
                                <div class="col-12 col-md-4 pb-0" *ngFor="let name of names().controls; let i=index" [formGroupName]="i">
                                    <mat-form-field class="w-100">
                                        <mat-label>{{addRoleForm.value.names[i]?.codeValue}}</mat-label>
                                        <input matInput placeholder="Enter Name" formControlName="value">
                                    </mat-form-field>
                                </div>
                              </ng-container>
                              <div class="col-12 col-md-4 pb-0">
                                  <mat-form-field class="w-100">
                                      <mat-label>Code</mat-label>
                                      <input matInput type="text" placeholder="Enter Code" formControlName="code">
                                  </mat-form-field>
                              </div>
                              <div class="col-12 col-md-12 pb-0 pb-3 position-absolute" style="bottom: 0; left: 0;">
                                  <button mat-raised-button color="primary" aria-label="Add user" [class.btn-disabled]="addRoleForm.invalid" [disabled]="addRoleForm.invalid"
                                      class="btn btn-primary bg-btn-info-gradient me-3 float-end">
                                      <span *ngIf="!roleId">Add</span>
                                      <span *ngIf="roleId">Update</span>
                                  </button>
  
                                  <button type="button" mat-raised-button aria-label="Add user" (click)="back()"
                                      class="me-3 float-start">
                                      Back
                                  </button>
                              </div>
                          </div>
                        </form>
                  </div>
                </div>
              </div>
            </mat-card>
          </div>
        </div>
    </div>
  </ng-container>